#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int a[n];
    for(int i = 0;i<n;i++)
    {
        cin >> a[i];
    }
    if(n==2)
    {
        int p = a[0];
        a[0]=a[1];
        a[1]=p;
    }
    else{
    int Max = a[1],imax = 1;
    int Min = a[1],imin=1;
    for(int i =2;i<n;i++)
    {
        if(Max<=a[i]){
            Max = a[i];
            imax = i;
        }
        if(Min>=a[i])
        {
            Min = a[i];
            imin=1;
        }
    }
    bool b = true;
    if(Min==Max)
    {
        b = false;
    }
    if(b){
    for(int j=0;j<imax;j++)
    {
        if(a[j]<Max)
        {
            int p = a[j];
            a[j]=Max;
            a[imax]=p;
            b = false;
            j=imax;
        }
    }
    }
    if(b)
    {
        if(imax+1!=n-1)
        {
            int max1=a[imax+1], i1=imax+1;
            for(int j = imax+1;j<n;j++)
            {
                if(a[j]>=max1) {
                        max1=a[j];
                        i1=j;
                }
            }
            for(int j = imax+1;j<n;j++)
            {
                if(a[j]<max1)
                {
                    int p = a[j];
                    a[j]=max1;
                    a[i1]=p;
                    break;
                }
            }
        }
    }
    }
    for(int i=0;i<n;i++)
    {
        cout<<a[i]<<" ";
    }

    return 0;
}